Subject: Re: [PATCH] 3c509.c: call SET_NETDEV_DEV for all device types (ISA/ISAPnP/EISA)

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 26 Apr 2013 01:03:53 +0400

Hello.

On 26-04-2013 0:29, Matthew Whitehead wrote:

> From: Matthew Whitehead <[email-masked]>

> The venerable 3c509 driver only sets its device parent in one case, the ISAPnP one.
> It does this with the SET_NETDEV_DEV function. It should register with the device
> hierarchy in two additional cases: standard (non-PnP) ISA and EISA.

> - Currently they appear here:
> /sys/devices/virtual/net/eth0 (standard ISA)
> /sys/devices/virtual/net/eth1 (EISA)

> - Rather, they should instead be here:
> /sys/devices/isa/3c509.0/net/eth0 (standard ISA)
> /sys/devices/pci0000:00/0000:00:07.0/00:04/net/eth1 (EISA)

> Tested on ISA and EISA boards.

    That's good but you forgot to sign off, so the patch can't be applied.

    BTW, it seems that after almost 7 years I seem to have found a tester for 
my patch which lingered all this time in the Andrew Morton's tree! You've said 
you have EISA boards, how about testing my patch? Now if I could find Andrew 
Morton's tree... Andrew?
    The patch is for 3c59x.c however -- I've just realized the difference.
Just in case, here's the link to 2008 version of it:

http://marc.info/?l=linux-netdev&m=121744737806819

WBR, Sergei